API for provisioning and managing identity resources.

## Service: cloudidentity.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://cloudidentity.googleapis.com/$discovery/rest?version=v1>
- <https://cloudidentity.googleapis.com/$discovery/rest?version=v1beta1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://cloudidentity.googleapis.com`

## REST Resource: [v1beta1.allowlistedDomains](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/allowlistedDomains)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/allowlistedDomains/create` | `POST /v1beta1/allowlistedDomains` Adds a domain to the allowlist. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/allowlistedDomains/delete` | `DELETE /v1beta1/{name=allowlistedDomains/*}` Removes a domain from the allowlist. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/allowlistedDomains/get` | `GET /v1beta1/{name=allowlistedDomains/*}` Retrieves a specific domain from the allowlist. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/allowlistedDomains/list` | `GET /v1beta1/allowlistedDomains` Lists the domains in the allowlist. |

## REST Resource: [v1beta1.customers.userinvitations](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations/cancel` | `POST /v1beta1/{name=customers/*/userinvitations/*}:cancel` Cancels a `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` that was already sent. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations/get` | `GET /v1beta1/{name=customers/*/userinvitations/*}` Retrieves a `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` resource. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations/isInvitableUser` | `GET /v1beta1/{name=customers/*/userinvitations/*}:isInvitableUser` Verifies whether a user account is eligible to receive a `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` (is an unmanaged account). |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations/list` | `GET /v1beta1/{parent=customers/*}/userinvitations` Retrieves a list of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` resources. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations/send` | `POST /v1beta1/{name=customers/*/userinvitations/*}:send` Sends a `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` to email. |

## REST Resource: [v1beta1.devices](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices/cancelWipe` | `POST /v1beta1/{name=devices/*}:cancelWipe` Cancels an unfinished device wipe. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices/create` | `POST /v1beta1/devices` Creates a device. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices/delete` | `DELETE /v1beta1/{name=devices/*}` Deletes the specified device. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices/get` | `GET /v1beta1/{name=devices/*}` Retrieves the specified device. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices/list` | `GET /v1beta1/devices` Lists/Searches devices. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices/wipe` | `POST /v1beta1/{name=devices/*}:wipe` Wipes all data on the specified device. |

## REST Resource: [v1beta1.devices.deviceUsers](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/approve` | `POST /v1beta1/{name=devices/*/deviceUsers/*}:approve` Approves device to access user data. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/block` | `POST /v1beta1/{name=devices/*/deviceUsers/*}:block` Blocks device from accessing user data |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/cancelWipe` | `POST /v1beta1/{name=devices/*/deviceUsers/*}:cancelWipe` Cancels an unfinished user account wipe. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/delete` | `DELETE /v1beta1/{name=devices/*/deviceUsers/*}` Deletes the specified DeviceUser. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/get` | `GET /v1beta1/{name=devices/*/deviceUsers/*}` Retrieves the specified DeviceUser |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/list` | `GET /v1beta1/{parent=devices/*}/deviceUsers` Lists/Searches DeviceUsers. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/lookup` | `GET /v1beta1/{parent=devices/*/deviceUsers}:lookup` Looks up resource names of the DeviceUsers associated with the caller's credentials, as well as the properties provided in the request. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers/wipe` | `POST /v1beta1/{name=devices/*/deviceUsers/*}:wipe` Wipes the user's account on a device. |

## REST Resource: [v1beta1.devices.deviceUsers.clientStates](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers.clientStates)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers.clientStates/get` | `GET /v1beta1/{name=devices/*/deviceUsers/*/clientStates/*}` Gets the client state for the device user |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices.deviceUsers.clientStates/patch` | `PATCH /v1beta1/{clientState.name=devices/*/deviceUsers/*/clientStates/*}` Updates the client state for the device user **Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium |

## REST Resource: [v1beta1.groups](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/create` | `POST /v1beta1/groups` Creates a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/delete` | `DELETE /v1beta1/{name=groups/*}` Deletes a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/get` | `GET /v1beta1/{name=groups/*}` Retrieves a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/getSecuritySettings` | `GET /v1beta1/{name=groups/*/securitySettings}` Get Security Settings |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/list` | `GET /v1beta1/groups` Lists the `Group` resources under a customer or namespace. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/lookup` | `GET /v1beta1/groups:lookup` Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Group` by its `EntityKey`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/patch` | `PATCH /v1beta1/{resource.name=groups/*}` Updates a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/search` | `GET /v1beta1/groups:search` Searches for `Group` resources matching a specified query. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups/updateSecuritySettings` | `PATCH /v1beta1/{securitySettings.name=groups/*/securitySettings}` Update Security Settings |

## REST Resource: [v1beta1.groups.memberships](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/checkTransitiveMembership` | `GET /v1beta1/{parent=groups/*}/memberships:checkTransitiveMembership` Check a potential member for membership in a group. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/create` | `POST /v1beta1/{parent=groups/*}/memberships` Creates a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/delete` | `DELETE /v1beta1/{name=groups/*/memberships/*}` Deletes a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/get` | `GET /v1beta1/{name=groups/*/memberships/*}` Retrieves a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/getMembershipGraph` | `GET /v1beta1/{parent=groups/*}/memberships:getMembershipGraph` Get a membership graph of just a member or both a member and a group. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/list` | `GET /v1beta1/{parent=groups/*}/memberships` Lists the `Membership`s within a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/lookup` | `GET /v1beta1/{parent=groups/*}/memberships:lookup` Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Membership` by its `EntityKey`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/modifyMembershipRoles` | `POST /v1beta1/{name=groups/*/memberships/*}:modifyMembershipRoles` Modifies the `MembershipRole`s of a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/searchDirectGroups` | `GET /v1beta1/{parent=groups/*}/memberships:searchDirectGroups` Searches direct groups of a member. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/searchTransitiveGroups` | `GET /v1beta1/{parent=groups/*}/memberships:searchTransitiveGroups` Search transitive groups of a member. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/groups.memberships/searchTransitiveMemberships` | `GET /v1beta1/{parent=groups/*}/memberships:searchTransitiveMemberships` Search transitive memberships of a group. |

## REST Resource: [v1beta1.inboundOidcSsoProfiles](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles/create` | `POST /v1beta1/inboundOidcSsoProfiles` Creates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile` for a customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles/delete` | `DELETE /v1beta1/{name=inboundOidcSsoProfiles/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles/get` | `GET /v1beta1/{name=inboundOidcSsoProfiles/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles/list` | `GET /v1beta1/inboundOidcSsoProfiles` Lists `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile` objects for a Google enterprise customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles/patch` | `PATCH /v1beta1/{inboundOidcSsoProfile.name=inboundOidcSsoProfiles/*}` Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile`. |

## REST Resource: [v1beta1.inboundSamlSsoProfiles](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles/create` | `POST /v1beta1/inboundSamlSsoProfiles` Creates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles#InboundSamlSsoProfile` for a customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles/delete` | `DELETE /v1beta1/{name=inboundSamlSsoProfiles/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles/get` | `GET /v1beta1/{name=inboundSamlSsoProfiles/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles/list` | `GET /v1beta1/inboundSamlSsoProfiles` Lists `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles#InboundSamlSsoProfile`s for a customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles/patch` | `PATCH /v1beta1/{inboundSamlSsoProfile.name=inboundSamlSsoProfiles/*}` Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |

## REST Resource: [v1beta1.inboundSamlSsoProfiles.idpCredentials](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials/add` | `POST /v1beta1/{parent=inboundSamlSsoProfiles/*}/idpCredentials:add` Adds an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials/delete` | `DELETE /v1beta1/{name=inboundSamlSsoProfiles/*/idpCredentials/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials/get` | `GET /v1beta1/{name=inboundSamlSsoProfiles/*/idpCredentials/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials/list` | `GET /v1beta1/{parent=inboundSamlSsoProfiles/*}/idpCredentials` Returns a list of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`s in an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |

## REST Resource: [v1beta1.inboundSsoAssignments](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments/create` | `POST /v1beta1/inboundSsoAssignments` Creates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments#InboundSsoAssignment` for users and devices in a `Customer` under a given `Group` or `OrgUnit`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments/delete` | `DELETE /v1beta1/{name=inboundSsoAssignments/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments#InboundSsoAssignment`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments/get` | `GET /v1beta1/{name=inboundSsoAssignments/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments#InboundSsoAssignment`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments/list` | `GET /v1beta1/inboundSsoAssignments` Lists the `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments#InboundSsoAssignment`s for a `Customer`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments/patch` | `PATCH /v1beta1/{inboundSsoAssignment.name=inboundSsoAssignments/*}` Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundSsoAssignments#InboundSsoAssignment`. |

## REST Resource: [v1beta1.orgUnits.memberships](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/orgUnits.memberships)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/orgUnits.memberships/list` | `GET /v1beta1/{parent=orgUnits/*}/memberships` List `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/orgUnits.memberships#OrgMembership` resources in an OrgUnit treated as 'parent'. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/orgUnits.memberships/move` | `POST /v1beta1/{name=orgUnits/*/memberships/*}:move` Move an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/orgUnits.memberships#OrgMembership` to a new OrgUnit. |

## REST Resource: [v1beta1.policies](https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/policies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/policies/create` | `POST /v1beta1/policies` Create a policy. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/policies/delete` | `DELETE /v1beta1/{name=policies/*}` Delete a policy. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/policies/get` | `GET /v1beta1/{name=policies/*}` Get a policy. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/policies/list` | `GET /v1beta1/policies` List policies. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/policies/patch` | `PATCH /v1beta1/{policy.name=policies/*}` Update a policy. |

## REST Resource: [v1.allowlistedDomains](https://docs.cloud.google.com/identity/docs/reference/rest/v1/allowlistedDomains)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/allowlistedDomains/create` | `POST /v1/allowlistedDomains` Adds a domain to the allowlist. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/allowlistedDomains/delete` | `DELETE /v1/{name=allowlistedDomains/*}` Removes a domain from the allowlist. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/allowlistedDomains/get` | `GET /v1/{name=allowlistedDomains/*}` Retrieves a specific domain from the allowlist. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/allowlistedDomains/list` | `GET /v1/allowlistedDomains` Lists the domains in the allowlist. |

## REST Resource: [v1.customers.userinvitations](https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations/cancel` | `POST /v1/{name=customers/*/userinvitations/*}:cancel` Cancels a `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations#UserInvitation` that was already sent. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations/get` | `GET /v1/{name=customers/*/userinvitations/*}` Retrieves a `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations#UserInvitation` resource. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations/isInvitableUser` | `GET /v1/{name=customers/*/userinvitations/*}:isInvitableUser` Verifies whether a user account is eligible to receive a `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations#UserInvitation` (is an unmanaged account). |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations/list` | `GET /v1/{parent=customers/*}/userinvitations` Retrieves a list of `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations#UserInvitation` resources. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations/send` | `POST /v1/{name=customers/*/userinvitations/*}:send` Sends a `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations#UserInvitation` to email. |

## REST Resource: [v1.devices](https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices/cancelWipe` | `POST /v1/{name=devices/*}:cancelWipe` Cancels an unfinished device wipe. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices/create` | `POST /v1/devices` Creates a device. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices/delete` | `DELETE /v1/{name=devices/*}` Deletes the specified device. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices/get` | `GET /v1/{name=devices/*}` Retrieves the specified device. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices/list` | `GET /v1/devices` Lists/Searches devices. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices/wipe` | `POST /v1/{name=devices/*}:wipe` Wipes all data on the specified device. |

## REST Resource: [v1.devices.deviceUsers](https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/approve` | `POST /v1/{name=devices/*/deviceUsers/*}:approve` Approves device to access user data. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/block` | `POST /v1/{name=devices/*/deviceUsers/*}:block` Blocks device from accessing user data |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/cancelWipe` | `POST /v1/{name=devices/*/deviceUsers/*}:cancelWipe` Cancels an unfinished user account wipe. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/delete` | `DELETE /v1/{name=devices/*/deviceUsers/*}` Deletes the specified DeviceUser. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/get` | `GET /v1/{name=devices/*/deviceUsers/*}` Retrieves the specified DeviceUser |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/list` | `GET /v1/{parent=devices/*}/deviceUsers` Lists/Searches DeviceUsers. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/lookup` | `GET /v1/{parent=devices/*/deviceUsers}:lookup` Looks up resource names of the DeviceUsers associated with the caller's credentials, as well as the properties provided in the request. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers/wipe` | `POST /v1/{name=devices/*/deviceUsers/*}:wipe` Wipes the user's account on a device. |

## REST Resource: [v1.devices.deviceUsers.clientStates](https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers.clientStates)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers.clientStates/get` | `GET /v1/{name=devices/*/deviceUsers/*/clientStates/*}` Gets the client state for the device user |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers.clientStates/list` | `GET /v1/{parent=devices/*/deviceUsers/*}/clientStates` Lists the client states for the given search query. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers.clientStates/patch` | `PATCH /v1/{clientState.name=devices/*/deviceUsers/*/clientStates/*}` Updates the client state for the device user **Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium |

## REST Resource: [v1.groups](https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/create` | `POST /v1/groups` Creates a Group. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/delete` | `DELETE /v1/{name=groups/*}` Deletes a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/get` | `GET /v1/{name=groups/*}` Retrieves a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/getSecuritySettings` | `GET /v1/{name=groups/*/securitySettings}` Get Security Settings |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/list` | `GET /v1/groups` Lists the `Group` resources under a customer or namespace. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/lookup` | `GET /v1/groups:lookup` Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Group` by its `EntityKey`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/patch` | `PATCH /v1/{resource.name=groups/*}` Updates a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/search` | `GET /v1/groups:search` Searches for `Group` resources matching a specified query. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/updateSecuritySettings` | `PATCH /v1/{securitySettings.name=groups/*/securitySettings}` Update Security Settings |

## REST Resource: [v1.groups.memberships](https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/checkTransitiveMembership` | `GET /v1/{parent=groups/*}/memberships:checkTransitiveMembership` Check a potential member for membership in a group. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/create` | `POST /v1/{parent=groups/*}/memberships` Creates a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/delete` | `DELETE /v1/{name=groups/*/memberships/*}` Deletes a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/get` | `GET /v1/{name=groups/*/memberships/*}` Retrieves a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/getMembershipGraph` | `GET /v1/{parent=groups/*}/memberships:getMembershipGraph` Get a membership graph of just a member or both a member and a group. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/list` | `GET /v1/{parent=groups/*}/memberships` Lists the `Membership`s within a `Group`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/lookup` | `GET /v1/{parent=groups/*}/memberships:lookup` Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Membership` by its `EntityKey`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/modifyMembershipRoles` | `POST /v1/{name=groups/*/memberships/*}:modifyMembershipRoles` Modifies the `MembershipRole`s of a `Membership`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/searchDirectGroups` | `GET /v1/{parent=groups/*}/memberships:searchDirectGroups` Searches direct groups of a member. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/searchTransitiveGroups` | `GET /v1/{parent=groups/*}/memberships:searchTransitiveGroups` Search transitive groups of a member. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/searchTransitiveMemberships` | `GET /v1/{parent=groups/*}/memberships:searchTransitiveMemberships` Search transitive memberships of a group. |

## REST Resource: [v1.inboundOidcSsoProfiles](https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles/create` | `POST /v1/inboundOidcSsoProfiles` Creates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile` for a customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles/delete` | `DELETE /v1/{name=inboundOidcSsoProfiles/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles/get` | `GET /v1/{name=inboundOidcSsoProfiles/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles/list` | `GET /v1/inboundOidcSsoProfiles` Lists `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile` objects for a Google enterprise customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles/patch` | `PATCH /v1/{inboundOidcSsoProfile.name=inboundOidcSsoProfiles/*}` Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundOidcSsoProfiles#InboundOidcSsoProfile`. |

## REST Resource: [v1.inboundSamlSsoProfiles](https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles/create` | `POST /v1/inboundSamlSsoProfiles` Creates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles#InboundSamlSsoProfile` for a customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles/delete` | `DELETE /v1/{name=inboundSamlSsoProfiles/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles/get` | `GET /v1/{name=inboundSamlSsoProfiles/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles/list` | `GET /v1/inboundSamlSsoProfiles` Lists `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles#InboundSamlSsoProfile`s for a customer. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles/patch` | `PATCH /v1/{inboundSamlSsoProfile.name=inboundSamlSsoProfiles/*}` Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |

## REST Resource: [v1.inboundSamlSsoProfiles.idpCredentials](https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials/add` | `POST /v1/{parent=inboundSamlSsoProfiles/*}/idpCredentials:add` Adds an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials/delete` | `DELETE /v1/{name=inboundSamlSsoProfiles/*/idpCredentials/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials/get` | `GET /v1/{name=inboundSamlSsoProfiles/*/idpCredentials/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials/list` | `GET /v1/{parent=inboundSamlSsoProfiles/*}/idpCredentials` Returns a list of `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles.idpCredentials#IdpCredential`s in an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSamlSsoProfiles#InboundSamlSsoProfile`. |

## REST Resource: [v1.inboundSsoAssignments](https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments/create` | `POST /v1/inboundSsoAssignments` Creates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments#InboundSsoAssignment` for users and devices in a `Customer` under a given `Group` or `OrgUnit`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments/delete` | `DELETE /v1/{name=inboundSsoAssignments/*}` Deletes an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments#InboundSsoAssignment`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments/get` | `GET /v1/{name=inboundSsoAssignments/*}` Gets an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments#InboundSsoAssignment`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments/list` | `GET /v1/inboundSsoAssignments` Lists the `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments#InboundSsoAssignment`s for a `Customer`. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments/patch` | `PATCH /v1/{inboundSsoAssignment.name=inboundSsoAssignments/*}` Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1/inboundSsoAssignments#InboundSsoAssignment`. |

## REST Resource: [v1.policies](https://docs.cloud.google.com/identity/docs/reference/rest/v1/policies)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/policies/create` | `POST /v1/policies` Create a policy. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/policies/delete` | `DELETE /v1/{name=policies/*}` Delete a policy. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/policies/get` | `GET /v1/{name=policies/*}` Get a policy. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/policies/list` | `GET /v1/policies` List policies. |
| `https://docs.cloud.google.com/identity/docs/reference/rest/v1/policies/patch` | `PATCH /v1/{policy.name=policies/*}` Update a policy. |